use crate::util;
use leptos::*;

/// Navigation bar
#[component]
pub fn Toasts() -> impl IntoView {
    let notifications = expect_context::<util::toast::NotificationsContext>();

    view! {
        <div class="toastcontainer">
            {move || notifications.notifications.get().into_iter()
                .map(|n| view! {
                    <span on:click=move |_| util::toast::remove_toast((*n.id).to_string()) class=n.option>{n.text}</span>
                }
            ).collect_view()}
        </div>
    }
}
